package cc.smtweb.framework.core.db.vo;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/3/1 15:35
 */
@SwTable("ASP_MODEL_CATALOG")
public class ModelCatalog extends DefaultEntity {
    public static final String ENTITY_NAME = "ASP_MODEL_CATALOG";

    public ModelCatalog() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("mc_id");
    }

    public void setId(long mcId) {
        put("mc_id", mcId);
    }

    public long getParentId() {
        return getLong("mc_parent_id");
    }

    public void setParentId(long mcParentId) {
        put("mc_parent_id", mcParentId);
    }

    public String getLevelCode() {
        return getStr("mc_level_code");
    }

    public void setLevelCode(String mcLevelCode) {
        put("mc_level_code", mcLevelCode);
    }

    public String getCode() {
        return getStr("mc_code");
    }

    public void setCode(String mcCode) {
        put("mc_code", mcCode);
    }

    public String getName() {
        return getStr("mc_name");
    }

    public void setName(String mcName) {
        put("mc_name", mcName);
    }

    public long getPrjId() {
        return getLong("mc_prj_id");
    }

    public void setPrjId(long mcPrjId) {
        put("mc_prj_id", mcPrjId);
    }

    public long getCreateUid() {
        return getLong("mc_create_uid");
    }

    public void setCreateUid(long mcCreateUid) {
        put("mc_create_uid", mcCreateUid);
    }

    public long getUpdateUid() {
        return getLong("mc_update_uid");
    }

    public void setUpdateUid(long mcUpdateUid) {
        put("mc_update_uid", mcUpdateUid);
    }

    public long getCreateAt() {
        return getLong("mc_create_at");
    }

    public void setCreateAt(long mcCreateAt) {
        put("mc_create_at", mcCreateAt);
    }

    public long getUpdateAt() {
        return getLong("mc_update_at");
    }

    public void setUpdateAt(long mcUpdateAt) {
        put("mc_update_at", mcUpdateAt);
    }
}
